VistaIOSetBandInterp(3)

NAME
VistaIOSetBandInterp - set image band interpretation attributes

SYNOPSIS
#include <vistaio.h>

VistaIOBoolean VistaIOSetBandInterp (VistaIOImage image, VistaIOBandInterp frame_interp, int nframes, VistaIOBandInterp viewpoint_interp, int nviewpoints, VistaIOBandInterp color_interp, int ncolors, VistaIOBandInterp component_interp, int ncomponents);

ARGUMENTS

image
    Specifies the image whose attributes are to be set.

frame_interp, nframes
viewpoint_interp, nviewpoints
color_interp, ncolors
component_interp, ncomponents
    Specify values for various band interpretation attributes.

DESCRIPTION
VistaIOSetBandInterp provides a convenient way to simultaneously set all of the standard attributes describing how an image's bands are to be interpreted.

The frame_interp, viewpoint_interp, color_interp and component_interp arguments supply values for the correspondingly-named attributes. If any of these values is the constant VistaIOBandInterpNone, the corresponding attribute is omitted from the image.

Similarly, the nframes, nviewpoints, ncolors, and ncomponents arguments supply values for other correspondingly-named attributes. The product of these values should equal the total number of bands in the image.

RETURN VALUES
VistaIOSetBandInterp returns TRUE if successful, and FALSE on encountering an error.

SEE ALSO
VistaIOBandInterp(3), VistaIOImage(3),

DIAGNOSTICS

``No. bands conflicts with no. of frames, etc.''
    The product of the numbers of frames, viewpoints, colors, and components specified is isn't equal to the number of bands in the image.

AUTHOR
Art Pope <pope@cs.ubc.ca>

Adaption to vistaio: Gert Wollny <gw.fossdev@gmail.com>